igeo

## Class IParticleOnMeshGeo

- java.lang.Object
- - igeo.IDynamicsBase
  - - igeo.IParticleGeo
    - - igeo.IParticleOnMeshGeo

- All Implemented Interfaces:
    IArithmeticVal<IVecI,IDoubleI>, IDynamics, IParameter, IParticleI, ISubobject, ITransformable, IVal, IVecI, IVecOp

      public class IParticleOnMeshGeo
      extends IParticleGeo

  Class of an implementation of IDynamics to have physical attributes of point on a cureve.
  Author:
    Satoru Sugihara

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `IFace` | `face`
    `IMeshI` | `mesh`

    - ### Fields inherited from class igeo.IParticleGeo

      `defaultFriction, fixed, frc, friction, mass, pos, skipUpdateOnce, vel`

    - ### Fields inherited from class igeo.IDynamicsBase

      `parent, targets`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `IParticleOnMeshGeo(IMeshI mesh)`

  - ### Method Summary

    - ### Methods inherited from class igeo.IParticleGeo

      `acc, acceleration, add, add, add, add, add, add, add, addForce, addForce, angle, angle, angle, angle, angle, angle, angle, angle, bisect, bisect, cp, cp, cp, cp, cross, cross, decay, decay, dif, dif, diff, diff, dist, dist, dist, dist, dist2, dist2, dist2, dist2, div, div, dot, dot, dot, dot, dup, eq, eq, eq, eq, eq, eq, eq, eq, eqX, eqX, eqX, eqX, eqX, eqX, eqX, eqX, eqY, eqY, eqY, eqY, eqY, eqY, eqY, eqY, eqZ, eqZ, eqZ, eqZ, eqZ, eqZ, eqZ, eqZ, fix, fixed, flip, force, force, frc, frc, fric, fric, friction, friction, get, getX, getY, getZ, initParticle, initParticle, initParticle, isValid, len, len, len, len, len, len2, len2, len2, mass, mass, mid, mid, mirror, mirror, mirror, mirror, mul, mul, mv, mv, mv, neg, nml, nml, nml, nml, pos, pos, position, position, postupdate, preupdate, pull, pull, push, push, ref, ref, ref, ref, removeTarget, removeTarget, reset, resetForce, rev, rot, rot, rot, rot, rot, rot, rot, rot, rot, rot, rot2, rot2, rot2, rot2, rot2, rot2, rot2, scale, scale, scale, scale, scale, scale1d, scale1d, scale1d, scale1d, scale1d, scale1d, set, set, set, shear, shear, shear, shear, shearXY, shearXY, shearXY, shearXY, shearYZ, shearYZ, shearYZ, shearYZ, shearZX, shearZX, shearZX, shearZX, skipUpdateOnce, skipUpdateOnce, sub, sub, sub, sum, sum, sum, sum, sum, sum, sum, target, to2d, to2d, to2d, to2d, to4d, to4d, to4d, toString, transform, transform, transform, transform, translate, translate, translate, unfix, unit, update, vel, vel, velocity, velocity, x, x, x, x, x, x, x, y, y, y, y, y, y, y, z, z, z, z, z, z, zero`

    - ### Methods inherited from class igeo.IDynamicsBase

      `initDynamicsBase, initDynamicsBase, initDynamicsBase, interact, localDynamics, parent, parent, postinteract, preinteract, target, targetNum, targets, updateTarget`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface igeo.IParticleI

      `target, targetNum, targets, updateTarget`

- - ### Field Detail

    - #### mesh

          public IMeshI mesh

    - #### face

          public IFace face

  - ### Constructor Detail

    - #### IParticleOnMeshGeo

          public IParticleOnMeshGeo(IMeshI mesh)